<template>
	<div class="pc-b2 diy_pc-box" :style="{'background':item.background_image?'linear-gradient(to top,rgba(255, 255, 255, 1), rgba(255, 255, 255, 0.3)), url('+item.background_image+') repeat-y left top/100% auto':''}">
		<div class="content">
			<div class="left_title_one-box">
				<div class="left_title_one">
					<div class="title-box">
						<p class="title-cn">品牌推荐</p>
						<p class="slash-line">/</p>
						<p class="sub-title">recommendation</p>
					</div>
					<div class="more_btn-box">
						<p class="more-btn" @click.stop="splicingUrl('index/brand/brandlist')">MORE｜更多</p>
					</div>
				</div>
				<div class="short-line"></div>
			</div>
			<div class="swiper-box">
				<div class="b2-swiper swiper_info">
					<div class="swiper-wrapper">
						<div class="swiper-slide" v-for="(brandinfo,brandindex) in item.data" :key="brandindex">
							<div class="brand_info-box">
								<div class="brand-info-box">
									<p class="brand_name-cn">{{brandinfo.name}}</p>
									<p class="brand_name-en">brand</p>
								</div>
								<div class="brand_image-box">
									<img :src="brandinfo.image+'?x-oss-process=image/resize,m_fill,w_537,h_402,limit_0/quality,q_100'" class="brand-image" />
								</div>
								<div class="brand_hover_box" @click.stop="splicingUrl('index/search/index',['brand_id'],[brandinfo.id])">
									<div class="brand_hover-box">
										<div class="name-box">
											<p class="brand_name-cn">{{brandinfo.name}}</p>
											<p class="brand_name-en">brand</p>
											<p class="brand-ad">{{brandinfo.ad}}</p>
										</div>
										<img src="/static/index/default/images/icon_redright_circle_arrow.png" class="icon-image" />
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
				<div class="b2-swiper-button-prev swiper-prev">
					<span class="am-icon-angle-left"></span>
				</div>
				<div class="b2-swiper-button-next swiper-next">
					<span class="am-icon-angle-right"></span>
				</div>
			</div>
		</div>
	</div>
</template>

<script>
	module.exports = {
		name: 'pcb2',
		data() {
			return {
				currency: currency,
			}
		},
		props: {
			item: {
				type: Object,
				default: () => {}
			},
		},
		mounted() {
			this.InitSwiper("b2")
		},
		methods: {
			splicingUrl(searchurl, paramName, param) {
				splicingUrl(searchurl, paramName, param,'blank');
			},
			InitSwiper(swiperid) {
				let _that = this;
				let domclass = `.b2-swiper`;
				let swiperPrevBtn = `.b2-swiper-button-prev`;
				let swiperNextBtn = `.b2-swiper-button-next`;
				new Swiper(domclass, {
					speed: 400,
					loop: true,
					slidesPerView: 4,
					autoplay: {
						delay: 3000,
						disableOnInteraction: false,
					},
					navigation: {
						nextEl: swiperNextBtn,
						prevEl: swiperPrevBtn,
					},
					on: {
						click: function() {
							let initIndex = this.clickedIndex - this.activeIndex + this.realIndex
							let index = initIndex >= _that.item.data.length ? initIndex - _that.item.data.length : initIndex
							_that.splicingUrl('index/search/index', ['brand_id'], [_that.item.data[index].id]);
						}
					}
				})
			}
		}
	}
</script>